import Bus from './utils/bus'
import Init from './utils/init'
import Directives from './directives'
import Components from './components'
let plugin = {}
plugin.install = Vue => {
  Object.keys(Directives).forEach(key => {
    Vue.directive(key, Directives[key])
  })
  Object.keys(Components).forEach(key => {
    let name = key.replace(/(\w)/, (v) => v.toUpperCase()) // 首字母大写
    console.log(`${name}`)
    Vue.component(`V${name}`, Components[key])
  })
  Vue.prototype.$mdc = {
    bus: Bus,
    init: Init
  }
}
if (typeof window !== 'undefined' && window.Vue) {
  window.Vue.use(plugin)
}

export default plugin
